package com.ruoyi.system.mapper;

import com.ruoyi.system.domain.PoUser;

import java.util.List;

/**
 * 用户Mapper接口
 *
 * @author ruoyi
 * @date 2023-01-17
 */
public interface PoUserMapper
{
    /**
     * 查询用户
     *
     * @param userId 用户主键
     * @return 用户
     */
    public PoUser selectPoUserByUserId(String userId);

    /**
     * 查询用户列表
     *
     * @param poUser 用户
     * @return 用户集合
     */
    public List<PoUser> selectPoUserList(PoUser poUser);

    /**
     * 新增用户
     *
     * @param poUser 用户
     * @return 结果
     */
    public int insertPoUser(PoUser poUser);

    /**
     * 修改用户
     *
     * @param poUser 用户
     * @return 结果
     */
    public int updatePoUser(PoUser poUser);

    /**
     * 删除用户
     *
     * @param userId 用户主键
     * @return 结果
     */
    public int deletePoUserByUserId(String userId);

    /**
     * 批量删除用户
     *
     * @param userIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deletePoUserByUserIds(String[] userIds);
}
